知道舱口上方是否有障碍物的最简单方法是什么
我有以下代码
- (setq selec33 (ssget "_WP" lis_coords
- (list
- (cons 0 "HATCH")
- (cons 8 "H1,H2,H3")
- )
- )
- )
- (setq b 0)
- (if (not (equal selec33 nil))
- (progn
- (repeat (sslength selec33)
- (setq entblk33 (ssname selec33 b))
- (setq lis_ent33x (entget entblk33))
- (setq nomeblk33 (cdr(assoc 8 (entget entblk33))))
- (setq valor_hatch (vla-get-area (vlax-ename->vla-object entblk33)))
- ..................
- (So far the code works, I got the hatch)
- ..................
- (NEW! I need to check if there is a block on this hatch , the block name is TESTER. If it is over this hatch sending an alert and continue code)
- ..................
- (setq b (+ b 1))
- )
- ))
|